Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Blocking Problem, xorg-server und gtk+
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
michael_w
Guru
Guru


Joined: 22 Feb 2006
Posts: 423
Location: 09xxx

PostPosted: Thu Apr 19, 2012 9:22 am    Post subject: [gelöst] Blocking Problem, xorg-server und gtk+ Reply with quote

Hi,

ich verstehe gerade was nicht:
Code:

gauss ~ # emerge -av gtk+

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ~] dev-libs/gobject-introspection-common-1.32.0  1,095 kB
[ebuild     U ~] dev-libs/glib-2.32.1 [2.30.3] USE="-debug -doc -fam (-selinux) -static-libs* -systemtap -test -utils -xattr" 5,995 kB
[ebuild     U ~] dev-libs/gobject-introspection-1.32.0 [1.30.0-r2] USE="-doc -doctool% -test" 0 kB
[blocks b      ] <dev-libs/gobject-introspection-1.32.0 ("<dev-libs/gobject-introspection-1.32.0" is blocking dev-libs/gobject-introspection-common-1.32.0)
[ebuild     U ~] x11-libs/pango-1.30.0 [1.29.4] USE="X introspection -debug -doc -test" 1,132 kB
[ebuild     U ~] x11-libs/gdk-pixbuf-2.26.1 [2.24.1] USE="X introspection jpeg tiff -debug -doc -jpeg2k -test" 1,141 kB
[ebuild     U ~] x11-libs/gtk+-3.4.1 [3.2.4-r1] USE="X%* cups introspection (-aqua) -colord -debug -doc -examples (-packagekit) -test -vim-syntax (-wayland) -xinerama" 12,510 kB
[blocks B      ] <x11-base/xorg-server-1.11.4 ("<x11-base/xorg-server-1.11.4" is blocking x11-libs/gtk+-3.4.1)

Total: 6 packages (5 upgrades, 1 new), Size of downloads: 21,869 kB
Conflict: 2 blocks (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-libs/gtk+-3.4.1::gentoo, ebuild scheduled for merge) pulled in by
    >=x11-libs/gtk+-2.90.0:3[introspection] required by (dev-libs/libunique-3.0.2::gentoo, installed)
    gtk+
    x11-libs/gtk+:3 required by (gnome-extra/polkit-gnome-0.105::gentoo, installed)
    x11-libs/gtk+ required by @selected
    >=x11-libs/gtk+-3.0:3[-aqua,introspection] required by (net-libs/webkit-gtk-1.6.1-r301::gentoo, installed)

  (x11-base/xorg-server-1.11.2-r2::gentoo, installed) pulled in by
    x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-evdev-2.6.0::gentoo, installed)
    <x11-base/xorg-server-1.12.99 required by (x11-drivers/nvidia-drivers-295.20-r1::gentoo, installed)
    >=x11-base/xorg-server-1.5.99.901 required by (x11-drivers/xf86-input-mouse-1.7.1::gentoo, installed)
    >=x11-base/xorg-server-1.0.99 required by (x11-drivers/xf86-video-vesa-2.3.0::gentoo, installed)
    x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-keyboard-1.6.0::gentoo, installed)
    >=x11-base/xorg-server-1.6.3 required by (x11-drivers/xf86-input-evdev-2.6.0::gentoo, installed)
    x11-base/xorg-server[-minimal] required by (x11-base/xorg-x11-7.4-r1::gentoo, installed)
    x11-base/xorg-server required by (media-video/nvidia-settings-260.19.29::gentoo, installed)
    x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-mouse-1.7.1::gentoo, installed)
    >=x11-base/xorg-server-1.6.3 required by (x11-drivers/xf86-input-keyboard-1.6.0::gentoo, installed)
    x11-base/xorg-server required by @selected


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


xorg-server-1.11.4 blockiert x11-libs/gtk+-3.4.1. Tja, na und, installiert ist der nicht, wieso blockiert ein uninstalliertes Paket etwas anderes?

Code:

gauss ~ # eix xorg-server
[I] x11-base/xorg-server
     Available versions:  1.9.5-r1 1.10.4-r1 ~1.10.6 ~1.11.2-r1 1.11.2-r2 ~1.11.3 ~1.11.4 ~1.12.0 ~1.12.0-r1 {dmx doc ipv6 kdrive minimal nptl selinux static-libs tslib +udev xnest xorg xvfb}
     Installed versions:  1.11.2-r2(11:30:28 05.01.2012)(ipv6 nptl udev xorg -dmx -doc -kdrive -minimal -static-libs -tslib -xnest -xvfb)
     Homepage:            http://xorg.freedesktop.org/
     Description:         X.Org X servers


Code:

gauss ~ # cat /etc/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /etc/make.conf.example for a more detailed example.
CFLAGS="-march=nocona -O2 -pipe"
CXXFLAGS="${CFLAGS}"

# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"

# These are the USE flags that were used in addition to what is provided by the
# profile used for building.

MAKEOPTS="-j5"

USE="X pdf gtk qt3 qt4 alsa cdr mmx sse mmxext ssse3 sse2\
     mp3 gui gimpprint usb unicode cddb dga dvd encode iconv jpeg mp3\
     gimp isdnlog opengl png quicktime real samba truetype \
     mplayer xorg asf nvidia xvmc isdn nls dbus svg exif ogg device-mapper\
     a52 aac aalib v4l v4l2 xv xvid ffmpeg sdl audiofile mad mikmod vorbis\
     syslog xscreensaver samba acpi apm lm_sensors pmu dvdread apache2 qt3support\
     kde xulrunner xcomposite cuda webkit unicode vhook x264 semantic-desktop\
     cupsddk -ppds tiff 64bit acpi php mp4 threads git subversion bluetooth usb\
     udev gps"

LINGUAS="de"
#INPUT_DEVICES="keyboard mouse"
INPUT_DEVICES="evdev"


VIDEO_CARDS="vesa nvidia"

SANE_BACKENDS="canon microtek2"
#CAMERAS="canon ptp2"

GENTOO_MIRRORS="ftp://de-mirror.org/gentoo/ "
#SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"


Jemand ne Idee?
_________________
Linux ryzen 4.19.52-gentoo #2 SMP Mon Jun 24 18:31:32 CEST 2019 x86_64 AMD Ryzen 7 1800X Eight-Core Processor AuthenticAMD GNU/Linux


Last edited by michael_w on Thu Apr 19, 2012 1:23 pm; edited 1 time in total
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Thu Apr 19, 2012 9:33 am    Post subject: Reply with quote

Bei sowas hilft ein Blick ins ebuild:
Code:
X? ( !<x11-base/xorg-server-1.11.4 )"

Also: USE="-X" und es sollte wieder passen. 3.2.4-r1 hatte noch kein X-Useflag.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Thu Apr 19, 2012 11:00 am    Post subject: Reply with quote

michael_w wrote:
xorg-server-1.11.4 blockiert x11-libs/gtk+-3.4.1. Tja, na und, installiert ist der nicht, wieso blockiert ein uninstalliertes Paket etwas anderes?

Nein, xorg-server-1.11.4 würde eben *nicht* gtk+-3.4[X] blockieren.
Du hast vermutlich "<" (kleiner als) übersehen.

Wenn du die mindestens geforderte =x11-base/xorg-server-1.11.4 Version freischaltest sollte es für gtk+-3.4 passen.
Back to top
View user's profile Send private message
michael_w
Guru
Guru


Joined: 22 Feb 2006
Posts: 423
Location: 09xxx

PostPosted: Thu Apr 19, 2012 1:22 pm    Post subject: Reply with quote

Danke Josef, das wars. Ich hatte es übersehen.
_________________
Linux ryzen 4.19.52-gentoo #2 SMP Mon Jun 24 18:31:32 CEST 2019 x86_64 AMD Ryzen 7 1800X Eight-Core Processor AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum